// FPoint.cpp: implementation of the CFPoint class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "sat.h"
#include "FPoint.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CFPoint::CFPoint()
{

}
CFPoint::CFPoint(CPoint& pt)
{
	x = pt.x;
	y = pt.y;
}
	
CFPoint::~CFPoint()
{

}

double CFPoint::Length()
{
	return hypot(x, y);
}

void CFPoint::operator*=(double a)
{
	x *= a;
	y *= a;
}

CFPoint CFPoint::operator *(double a)
{
	CFPoint pt;
	pt.x = a*x;
	pt.y = a*y;
	return pt;
}

void CFPoint::operator+=(CFPoint& point)
{
	x += point.x;
	y += point.y;
}
void CFPoint::operator-=(CFPoint& point)
{
	x -= point.x;
	y -= point.y;
}

// Operators returning CPoint values
CFPoint CFPoint::operator-() const
{
	CFPoint pt;
	pt.x = -x;
	pt.y = -y;
	return pt;
}
	
CFPoint CFPoint::operator+(CFPoint& point) const
{
	CFPoint pt;
	pt.x = x + point.x;
	pt.y = y + point.y;
	return pt;
}

CPoint  CFPoint::ConvertToCPoint(){
	CPoint pt;
	pt.x = x;
	pt.y = y;
	return pt;
}