// FPoint.h: interface for the CFPoint class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FPOINT_H__6D545208_76C5_4915_83E1_D2D4EB62CE87__INCLUDED_)
#define AFX_FPOINT_H__6D545208_76C5_4915_83E1_D2D4EB62CE87__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFPoint  
{
public:
	double x, y;
public:
	CFPoint();
	CFPoint(CPoint& pt);
	virtual ~CFPoint();

#if 1
	double Length();
	//BOOL operator==(CFPoint& point) const;
	//BOOL operator!=(CFPoint& point) const;
	void operator+=(CFPoint& point);
	void operator-=(CFPoint& point);
	void operator*=(double a);
	
	// Operators returning CPoint values
	CFPoint operator-() const;
	CFPoint operator+(CFPoint& point) const;
	CFPoint operator*(double a);

	CPoint ConvertToCPoint();
#endif
};

#endif // !defined(AFX_FPOINT_H__6D545208_76C5_4915_83E1_D2D4EB62CE87__INCLUDED_)
