// satDlg.h : header file
//

#if !defined(AFX_SATDLG_H__6044E3D0_2F44_47FA_989F_45BFEE404A32__INCLUDED_)
#define AFX_SATDLG_H__6044E3D0_2F44_47FA_989F_45BFEE404A32__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSatDlg dialog

class CSatDlg : public CDialog
{
// Construction
public:
	UINT m_nTrajIdx;
	CPoint m_ptTrajectory[3000];
	void LaunchProj();
	CProjectile m_proj;
	CPoint m_ptStartVel;
	CPoint m_ptStartPos;
	BOOL m_bSettingVelocity;
	double m_fRadEarth;
	CPoint m_ptCenter;
	CSatDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSatDlg)
	enum { IDD = IDD_SAT_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSatDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSatDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SATDLG_H__6044E3D0_2F44_47FA_989F_45BFEE404A32__INCLUDED_)
